ApiManagementV1WorkspacesWorkspaceidEndpoints

Create an endpoint

POST
/management/v1/workspaces/{workspaceId}/endpoints
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

workspaceIdstring
url?string
Formaturi
description?string
authUsername?string
authPassword?string
type?string
config?object

Empty Object

metadata?object

Key-value metadata (max 5 keys)

Empty Object

environmentId?string

Optional. Environment public id (e.g. env_abc123) to scope this endpoint. If omitted, the workspace's default environment is used.

Length1 <= length

Response Body

curl -X POST "https://loading/management/v1/workspaces/string/endpoints" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "string",
  "secret": "string",
  "description": "string",
  "authUsername": "string",
  "hasAuth": true,
  "isActive": true,
  "type": "string",
  "config": {},
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "validation_error",
    "message": "url is required"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}